<?php
class steed_element_header_email{
	public $customize_prefix;
	public $customize_panel;
	public $customize_section;
	
	
	function __construct(){
		$this->customize_prefix = 'header_email_';
		$this->customize_section = 'steed_header_email';
		$this->customize_panel = 'site_header';
		
		add_action( 'customize_register', array($this, 'customize') );
		add_filter('steed_custom_css', array($this, 'css'));
	}	
	
	function html(){
		if( steed_theme_mod($this->customize_prefix.'active') == true){
			echo '<div class="header_email">';
				if(steed_theme_mod($this->customize_prefix.'font_icon') != ''){
					echo '<i class="fa fa-'.esc_attr(steed_theme_mod($this->customize_prefix.'font_icon')).'"></i>';
				}
				if(steed_theme_mod($this->customize_prefix.'image_icon') != ''){
					echo '<img src="'.esc_url(steed_theme_mod($this->customize_prefix.'image_icon')).'" alt="">';
				}
				echo '<a href="mailto:'.esc_attr(steed_theme_mod($this->customize_prefix.'content')).'">'.esc_attr(steed_theme_mod($this->customize_prefix.'content')).'</a>';
			echo'</div>';
		}
	}
	
	function customize($wp_customize){
		$wp_customize->add_section( $this->customize_section , array(
			'title'      => __( 'Header Email', 'steed' ),
			'priority'   => 30,
			'panel'		=> $this->customize_panel,
		));

		$uid = $this->customize_prefix.'content';
		$wp_customize->add_setting($uid, array( 'default' => steed_customiz_std($uid), 'sanitize_callback' => 'wp_kses_post', ));
		$wp_customize->add_control( $uid, array(
			'label'      => 'Address Text',
			'section'    => $this->customize_section,
			'settings'   => $uid,
			'description' => '',
			'type'       => 'textarea',
			'priority'   => 7,
		));	

	}
	
	public function css($css){
		$new_css = '';
		if(steed_theme_mod($this->customize_prefix.'icon_color') != ''){
			$new_css .='.header_email i{';
				 echo 'color:'.steed_sanitize_rgba(steed_theme_mod($this->customize_prefix.'icon_color')).';';
			$new_css .='}';
		 }
		 if(steed_theme_mod($this->customize_prefix.'text_color') != ''){
			$new_css .='.header_email a, .header_email a:hover{';
				 echo 'color:'.steed_sanitize_rgba(steed_theme_mod($this->customize_prefix.'text_color')).';';
			$new_css .='}';
		 }
		
		if(steed_theme_mod($this->customize_prefix.'icon_hover_color') != ''){
			$new_css .='.header_email:hover i{';
				 echo 'color:'.steed_sanitize_rgba(steed_theme_mod($this->customize_prefix.'icon_hover_color')).';';
			$new_css .='}';
		 }
		 if(steed_theme_mod($this->customize_prefix.'text_hover_color') != ''){
			$new_css .='.header_email:hover a, .header_email a:hover{';
				 echo 'color:'.steed_sanitize_rgba(steed_theme_mod($this->customize_prefix.'text_hover_color')).';';
			$new_css .='}';
		 }
		 
		return $css.$new_css;
	}
}
$GLOBALS['steed_element_header_email'] = new steed_element_header_email;
function steed_element_header_email(){
	$GLOBALS['steed_element_header_email']->html();
}