<?php

class steed_pc_builder{
	public $panel_id;
	public $panel_title;
	public $panel_description;
	
	function __construct($settings){
		$default = array(
			'title' => '',
			'slug' => '',
			'sections' => NULL,
				
		);
		$this->settings = array_merge($default, $settings);
		
		$this->panel_id = 'steed_pc_'.esc_attr($this->settings['slug']);
		$this->panel_title = esc_attr($this->settings['title']);
		$this->panel_description = esc_attr($this->settings['description']);
		
		add_filter('steed_custom_css', array($this, 'css'));
		add_action( 'customize_register', array($this, 'customize') );
		add_action( 'steed_pc_html_'.$this->settings['slug'], array($this, 'html') );
		
	}
	
	
	function customize($wp_customize){
		$wp_customize->add_panel( $this->panel_id , array(
			'title'			=> $this->panel_title,
			'description'	=> $this->panel_description,
			'priority'		=> 160,
		));
		
		if(is_array($this->settings['sections'])){
			foreach($this->settings['sections'] as $section){
				if(class_exists($section['name'])){
					$section_class_name = $section['name'];
					$section_class = new $section_class_name($section['settings']);
					$section_class->uid = $this->panel_id.'_'.$section['uid'];
					$section_class->section_id = $section_class->uid;
					$section_class->panel_id = $this->panel_id;
					$section_class->section_title = $section['title'];
					
					$section_class->customize($wp_customize);
				}
			}
		}
	}
	
	
	function css($css){
		$new_css = '';
		
		if(is_array($this->settings['sections'])){
			foreach($this->settings['sections'] as $section){
				if(class_exists($section['name'])){
					$section_class_name = $section['name'];
					$section_class = new $section_class_name($section['settings']);
					$section_class->uid = $this->panel_id.'_'.$section['uid'];
					$section_class->section_id = $section_class->uid;
					$section_class->panel_id = $this->panel_id;
					$section_class->section_title = $section['title'];
					
					$new_css .= $section_class->css();
				}
			}
		}
		
		return $css.$new_css;
	}
	
	
	function html(){
		if(is_array($this->settings['sections'])){
			foreach($this->settings['sections'] as $section){
				if(class_exists($section['name'])){
					$section_class_name = $section['name'];
					$section_class = new $section_class_name($section['settings']);
					$section_class->uid = $this->panel_id.'_'.$section['uid'];
					$section_class->section_id = $section_class->uid;
					$section_class->panel_id = $this->panel_id;
					$section_class->section_title = $section['title'];
					
					$section_class->html();
				}
			}
		}
		
	}
	
	
	function js(){
		if(is_array($this->settings['sections'])){
			foreach($this->settings['sections'] as $section){
				if(class_exists($section['name'])){
					$section_class_name = $section['name'];
					$section_class = new $section_class_name($section['settings']);
					$section_class->uid = $this->panel_id.'_'.$section['uid'];
					$section_class->section_id = $section_class->uid;
					$section_class->panel_id = $this->panel_id;
					$section_class->section_title = $section['title'];
					
					$section_class->js();
				}
			}
		}
	}
}